<?php


namespace App\Exception\custom;


use App\Exception\BaseException;

class RefundException extends BaseException
{
    protected $base_code = Code::REFUND;

    protected $cus = [
        0 => '系统异常请联系管理员',
        1 => '缺少退款订单ID！',
        2 => '获取订单信息返回错误，请核对',
        3 => '仅支持自己操作订单退款！',
        4 => '目前仅支持支付后的订单退款，请核对',
        5 => '已核销计算订单不支持退款！',
        6 => '退款处理完成，请勿重复申请',
        7 => '退款处理中请稍等',

        8 => '退款消息类型匹配失败，请管理员关注！',
        9 => 'pingxx退款消息格式错误，请管理员关注！',
        10 => 'pingxx退单状态异常，请管理员关注！',
        11 => 'pingxx退单缺少matadata！',
        12 => 'pingxx未支付订单不允许退款。',
        13 => 'pingxx订单可能存在多次成功支付，需人工确认处理。',
        14 => '不存在满足条件的退款订单。',
        15 => '订单未支付或不存在，请核对。',
        16 => '订单退款回调处理失败，请核对。',
    ];
}
