<?php


namespace App\Exception\custom;


use App\Exception\BaseException;

class PayException extends BaseException
{
    protected $base_code = Code::PAY;

    protected $cus = [
        0 => '系统错误，请稍收重试',
        1 => '请输入订单ID',
        2 => '订单服务获取订单信息失败。',
        3 => '请确认订单信息及用户是否一致。',
        4 => '支付订单创建失败，请管理员关注',
        5 => '该订单已经支付，请稍后刷新',
        6 => '该订单已超时取消关闭，请重新下单购买',

        7 => '支付回调订单不存在，请管理员关注',
        8 => '支付订单金额与实际支付金额不等，请管理员关注',
        9 => '退款中订单不允许核销，请管理员关注',
        10 => '未支付订单不允许核销，请管理员关注',
        11 => '商家仅允许核销自己的订单，请管理员关注',
        12 => '支付订单预结算失败，结算资金不能负数，请核对配置',
        13 => '生活号获取管理员ID失败，请联系管理员',
        14 => '订单缺少商品信息，请联系管理员',
        15 => '订单存在过期商品，不能支付',
        16 => '订单过期，不允许支付',
        17 => '订单缺少过期时间，请联系管理员',
        18 => '订单不存在，请重试',

    ];
}
